> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Registration

> Retrieve a Registration by its UUID.



## OpenAPI

````yaml /api-reference/openapi.json get /registrations/{id}
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /registrations/{id}:
    get:
      tags:
        - Business
      summary: Get Registration
      description: Retrieve a Registration by its UUID.
      operationId: get_registration_registrations__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Registration ID
            description: The unique identifier of the Registration to retrieve.
            examples:
              - 412a49b5-7466-426b-bf1e-081b00b54576
              - 9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5
          description: The unique identifier of the Registration to retrieve.
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.RegistrationResponse'
            application/vnd.baselayer.v1+json:
              schema:
                $ref: '#/components/schemas/v1.RegistrationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.RegistrationResponse:
      description: Response model for corporate registration data.
      properties:
        id:
          description: The unique identifier of the corporate registration.
          format: uuid
          title: Id
          type: string
        name:
          description: The name on the registration.
          examples:
            - Garcia, Hernandez and Woods
          title: Name
          type: string
        issue_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          default: null
          description: The date the registration was issued.
          examples:
            - '2024-01-01'
          title: Issue Date
        inactive_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          description: The date the registration became inactive.
          examples:
            - '2024-06-01'
          title: Inactive Date
        dissolution_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          default: null
          description: The date the registration was dissolved in the given state.
          examples:
            - '2024-06-01'
          title: Dissolution Date
        file_number:
          description: The file number of the registration.
          examples:
            - '867124'
          title: File Number
          type: string
        state:
          $ref: '#/components/schemas/v1.StateAbbreviation'
          description: The state in which the registration was filed.
          examples:
            - AZ
        address:
          anyOf:
            - $ref: '#/components/schemas/v1.AddressSummaryResponse'
            - type: 'null'
          default: null
          description: The address associated with the registration.
        registration_type:
          anyOf:
            - $ref: '#/components/schemas/v1.CorporateRegistrationDomesticStatus'
            - type: 'null'
          default: null
          description: Whether the registration is domestic or foreign.
          examples:
            - domestic
            - foreign
            - unknown
        status:
          $ref: '#/components/schemas/v1.CorporateRegistrationStatus'
          description: >-
            Status field indicating whether the corporate registration filing is
            active or inactive.
          examples:
            - active
            - inactive
            - unknown
        standing:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The standing of the registration.
          examples:
            - In Good Standing
            - Inactive
            - Dissolved
          title: Standing
        registered_agent:
          anyOf:
            - $ref: '#/components/schemas/v1.CorporateRegistrationAgentResponse'
            - type: 'null'
          default: null
          description: The Registered Agent listed on the Registration.
        officers:
          default: []
          description: The officers listed on the registration.
          items:
            $ref: '#/components/schemas/v1.RegistrationOfficerResponse'
          title: Officers
          type: array
      required:
        - id
        - name
        - file_number
        - state
        - status
      title: RegistrationResponse (v1)
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.StateAbbreviation:
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - PR
        - VI
        - AE
        - AA
        - AP
        - GU
        - AS
      title: StateAbbreviation
      type: string
    v1.AddressSummaryResponse:
      description: |-
        Response model for address summary data.

        This model defines the structure for address summary API responses.
      properties:
        id:
          description: Unique identifier for the address.
          format: uuid
          title: Id
          type: string
        street:
          description: Street name of the address.
          examples:
            - 913 Hendrix Gardens Suite 492
          title: Street
          type: string
        city:
          description: City name of the address.
          examples:
            - Jasonfurt
          title: City
          type: string
        state:
          $ref: '#/components/schemas/v1.StateAbbreviation'
          description: State 2 letter abbreviation of the address.
          examples:
            - VA
        zip:
          description: Zip code of the address.
          examples:
            - '19773'
          title: Zip
          type: string
        latitude:
          description: Latitude of the address.
          examples:
            - 38.03012
          title: Latitude
          type: number
        longitude:
          description: Longitude of the address.
          examples:
            - 78.47665
          title: Longitude
          type: number
        rdi:
          anyOf:
            - $ref: '#/components/schemas/v1.AddressRDI'
            - type: 'null'
          default: null
          description: Residential Delivery Indicator of the address.
          examples:
            - Commercial
        deliverable:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Indicates whether the address is deliverable.
          examples:
            - false
          title: Deliverable
        cmra:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Indicates whether the address is a Commercial Mail Receiving Agency
            (CMRA).
          examples:
            - false
          title: Cmra
        url:
          anyOf:
            - format: uri
              maxLength: 2083
              minLength: 1
              type: string
            - type: 'null'
          default: null
          description: The URL to the address details.
          title: Url
        delivery_type:
          anyOf:
            - $ref: '#/components/schemas/v1.USPSDeliveryType'
            - type: 'null'
          default: null
          description: The USPS delivery type.
          examples:
            - STREET
            - FIRM
      required:
        - id
        - street
        - city
        - state
        - zip
        - latitude
        - longitude
      title: AddressSummaryResponse (v1)
      type: object
    v1.CorporateRegistrationDomesticStatus:
      description: Status of the corporate registration filing.
      enum:
        - foreign
        - domestic
        - unknown
      title: CorporateRegistrationDomesticStatus
      type: string
    v1.CorporateRegistrationStatus:
      description: |-
        Status field indicating whether the corporate registration filing is
        active or inactive.
      enum:
        - active
        - inactive
        - unknown
      title: CorporateRegistrationStatus
      type: string
    v1.CorporateRegistrationAgentResponse:
      description: Response model for corporate registration agent data.
      properties:
        name:
          description: The name of the registered agent.
          examples:
            - Jeremy Crawford
          title: Name
          type: string
        address:
          anyOf:
            - $ref: '#/components/schemas/v1.AddressSummaryResponse'
            - type: 'null'
          default: null
          description: >-
            The AddressSummaryResponse of the address associated with the
            registered agent
          examples:
            - city: Andrewton
              cmra: false
              deliverable: false
              delivery_type: null
              id: ab237e72-7053-439d-ae5e-edbac59bf7cb
              latitude: 34.0522
              longitude: -118.2437
              rdi: null
              state: CA
              street: 3032 Mark Parks Andrewton, CA 27458
              url: null
              zip: '27458'
      required:
        - name
      title: CorporateRegistrationAgentResponse (v1)
      type: object
    v1.RegistrationOfficerResponse:
      description: Response model for registration officer data.
      properties:
        name:
          description: The name of the officer.
          examples:
            - Tyler Johnson
          title: Name
          type: string
        titles:
          default: []
          description: The titles associated with the officer.
          examples:
            - - CEO
              - Founder
          items:
            type: string
          title: Titles
          type: array
      required:
        - name
      title: RegistrationOfficerResponse (v1)
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    v1.AddressRDI:
      enum:
        - Residential
        - Commercial
      title: AddressRDI
      type: string
    v1.USPSDeliveryType:
      description: |-
        Enum representing the different types of USPS delivery points.
        Used to classify addresses based on how mail is delivered to them.
      enum:
        - FIRM
        - GENERAL_DELIVERY
        - HIGH_RISE
        - POST_OFFICE
        - RURAL_ROUTE
        - STREET
      title: USPSDeliveryType
      type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````